{{- if .Values.global.istio_enabled -}}
apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: "{{ .Release.Name }}-{{ .Chart.Name }}"
  labels:
    app.kubernetes.io/managed-by: {{ .Release.Service | quote }}
    app.kubernetes.io/instance: {{ .Release.Name | quote }}
    app.kubernetes.io/version: {{ .Chart.AppVersion | quote }}
    helm.sh/chart: {{ .Release.Service | quote }}
    app: {{ .Chart.Name | quote }}
spec:
  gateways:
  - global-gateway.istio-system.svc.cluster.local
  hosts:
  - "{{ .Release.Name }}-{{ .Chart.Name }}.{{ .Values.global.baseDomain }}"
  http:
  - match:
    - uri:
        prefix: "/"
    route:
    - destination:
        host: "{{ .Chart.Name }}"
        port:
          number:  {{ .Values.servicePort | default 80 }}
    headers:
      request:
        add:
          x-forwarded-port: "443"
{{- end }}
